/*
**  LinVPN 1.0
**  Copyright (C) 2001 Alex Fiori <alex@linuxbr.com>
**
**  This program is free software; you can redistribute it and/or
**  modify it under the terms of the GNU General Public License
**  as published by the Free Software Foundation; either version 2
**  of the License, or (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307
**  USA, or contact Alex Fiori <alex@linuxbr.com>
*/

#include <stdio.h>
#include <unistd.h>
#include <string.h>

/* VPN stuff */
#include "vpn-base.h"

int main (int argc, char **argv)
{
	char *addr;
	
	if (argc != 3) {
		fprintf (stderr, "usage: %s iface addr-to-compare\n", *argv);
		return 1;
	}

	if ((addr = vpn_ifaddr (argv[1])) == NULL) return 1;
	if (strcmp (addr, argv[2])) return 1;

	return 0;
}
